'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Styled box with border
 */

var Card = function Card(_ref, _ref2) {
  var width = _ref.width;
  var style = _ref.style;

  var props = _objectWithoutProperties(_ref, ['width', 'style']);

  var rebass = _ref2.rebass;

  var config = _extends({}, _theme2.default, rebass);
  var cardStyle = _extends({}, _theme2.default.Card, rebass ? rebass.Card : {}, style);
  var scale = config.scale;
  var borderRadius = config.borderRadius;
  var borderColor = config.borderColor;


  var sx = _extends({
    display: 'flex',
    width: width,
    flexDirection: 'column',
    padding: scale[1],
    marginBottom: scale[2],
    borderRadius: borderRadius,
    borderWidth: 1,
    borderStyle: 'solid',
    borderColor: borderColor,
    overflow: 'hidden'
  }, cardStyle);

  return _react2.default.createElement('div', _extends({}, props, {
    className: 'Card',
    style: sx }));
};

Card.propTypes = {
  /** Width of card */
  width: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.number, _react2.default.PropTypes.string])
};

Card.contextTypes = {
  rebass: _react2.default.PropTypes.object
};

exports.default = Card;