'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Menu = require('./Menu');

var _Menu2 = _interopRequireDefault(_Menu);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Absolutely positioned Menu component for use within Dropdown component
 */

var DropdownMenu = function DropdownMenu(_ref) {
  var open = _ref.open;
  var right = _ref.right;
  var top = _ref.top;
  var style = _ref.style;

  var props = _objectWithoutProperties(_ref, ['open', 'right', 'top', 'style']);

  return _react2.default.createElement(
    'div',
    {
      className: 'DropdownMenu',
      style: _extends({
        display: open ? null : 'none',
        position: 'absolute',
        left: right ? 'auto' : 0,
        right: right ? 0 : 'auto',
        top: top ? 'auto' : '100%',
        bottom: top ? '100%' : 'auto',
        zIndex: 4
      }, style) },
    _react2.default.createElement(_Menu2.default, props)
  );
};

DropdownMenu.propTypes = {
  /** Toggles visibility of DropdownMenu */
  open: _react2.default.PropTypes.bool,
  /** Anchors menu to the right */
  right: _react2.default.PropTypes.bool,
  /** Anchors menu to the top */
  top: _react2.default.PropTypes.bool
};

DropdownMenu.defaultProps = {
  open: false
};

exports.default = DropdownMenu;