'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Minimal footer component with top border
 */

var Footer = function Footer(_ref, _ref2) {
  var style = _ref.style;

  var props = _objectWithoutProperties(_ref, ['style']);

  var rebass = _ref2.rebass;

  var config = _extends({}, _theme2.default, rebass);
  var scale = config.scale;
  var fontSizes = config.fontSizes;
  var borderColor = config.borderColor;

  var customStyle = rebass ? rebass.Footer : {};

  return _react2.default.createElement('footer', _extends({}, props, {
    className: 'Footer',
    style: _extends({
      display: 'flex',
      flexWrap: 'wrap',
      alignItems: 'center',
      fontSize: fontSizes[5],
      marginTop: scale[3],
      paddingTop: scale[3],
      paddingBottom: scale[3],
      borderTopWidth: 1,
      borderTopStyle: 'solid',
      borderTopColor: borderColor
    }, customStyle, style) }));
};

Footer.contextTypes = {
  rebass: _react2.default.PropTypes.object
};

exports.default = Footer;