'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Menu component for navigation links and actions
 */

var Menu = function Menu(_ref, _ref2) {
  var style = _ref.style;

  var props = _objectWithoutProperties(_ref, ['style']);

  var rebass = _ref2.rebass;

  var config = _extends({}, _theme2.default, rebass);
  var customStyle = rebass ? rebass.Menu : {};
  var scale = config.scale;
  var colors = config.colors;
  var borderColor = config.borderColor;
  var borderRadius = config.borderRadius;


  return _react2.default.createElement('div', _extends({}, props, {
    className: 'Menu',
    style: _extends({
      display: 'flex',
      flexDirection: 'column',
      minWidth: 128,
      marginBottom: scale[2],
      overflow: 'hidden',
      borderRadius: 2,
      borderWidth: 1,
      borderStyle: 'solid',
      backgroundColor: colors.white,
      borderColor: borderColor,
      borderRadius: borderRadius
    }, customStyle, style) }));
};

Menu.contextTypes = {
  rebass: _react2.default.PropTypes.object
};

exports.default = Menu;