'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Panel for containing small pieces of information
 */

var Panel = function Panel(_ref, _ref2) {
  var type = _ref.type;
  var style = _ref.style;
  var children = _ref.children;

  var props = _objectWithoutProperties(_ref, ['type', 'style', 'children']);

  var rebass = _ref2.rebass;

  var config = _extends({}, _theme2.default, rebass);
  var customStyle = rebass ? rebass.Panel : {};
  var scale = config.scale;
  var colors = config.colors;
  var borderRadius = config.borderRadius;


  var borderColor = colors[type];
  var styledChildren = _react2.default.Children.map(children, function (child) {
    if (child && child.props && child.props.type === 'default') {
      return _react2.default.cloneElement(child, { type: type });
    } else {
      return child;
    }
  });

  return _react2.default.createElement('div', _extends({}, props, {
    className: 'Panel',
    style: _extends({
      padding: scale[2],
      marginBottom: scale[2],
      borderWidth: 1,
      borderStyle: 'solid',
      borderColor: borderColor,
      borderRadius: borderRadius
    }, customStyle, style),
    children: styledChildren }));
};

Panel.propTypes = {
  /** Sets border color based on type of panel */
  type: _react2.default.PropTypes.oneOf(['default', 'info', 'success', 'warning', 'error'])
};

Panel.defaultProps = {
  type: 'default'
};

Panel.contextTypes = {
  rebass: _react2.default.PropTypes.object
};

exports.default = Panel;