'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Footer for Panel component with vertical centering using flexbox
 */

var PanelFooter = function PanelFooter(_ref, _ref2) {
  var type = _ref.type;
  var style = _ref.style;

  var props = _objectWithoutProperties(_ref, ['type', 'style']);

  var rebass = _ref2.rebass;

  var config = _extends({}, _theme2.default, rebass);
  var customStyle = _extends({}, _theme2.default.PanelFooter, rebass ? rebass.PanelFooter : {});
  var scale = config.scale;
  var colors = config.colors;
  var borderRadius = config.borderRadius;
  var fontSizes = config.fontSizes;

  var borderTopColor = colors[type];

  return _react2.default.createElement('div', _extends({}, props, {
    className: 'PanelFooter',
    style: _extends({
      fontSize: fontSizes[6],
      display: 'flex',
      alignItems: 'center',
      marginTop: scale[2],
      marginRight: -scale[2],
      marginBottom: -scale[2],
      marginLeft: -scale[2],
      padding: scale[2],
      borderTopWidth: 1,
      borderTopStyle: 'solid',
      borderTopColor: borderTopColor,
      borderRadius: '0 0 ' + borderRadius + 'px ' + borderRadius + 'px'
    }, customStyle, style) }));
};

PanelFooter.propTypes = {
  /** Sets background color based on the type of panel */
  type: _react2.default.PropTypes.oneOf(['default', 'info', 'success', 'warning', 'error'])
};

PanelFooter.defaultProps = {
  type: 'default'
};

PanelFooter.contextTypes = {
  rebass: _react2.default.PropTypes.object
};

exports.default = PanelFooter;