'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Progress element
 */

var Progress = function Progress(_ref, _ref2) {
  var value = _ref.value;
  var style = _ref.style;

  var props = _objectWithoutProperties(_ref, ['value', 'style']);

  var rebass = _ref2.rebass;

  var config = _extends({}, _theme2.default, rebass);
  var customStyle = rebass ? rebass.Progress : {};
  var scale = config.scale;
  var colors = config.colors;


  var css = '\n    .Progress-progress::-webkit-progress-bar {\n      background-color: rgba(0, 0, 0, .125);\n    }\n    .Progress-progress::-webkit-progress-value {\n      background-color: currentcolor;\n    }\n    .Progress-progress::-moz-progress-bar {\n      background-color: currentcolor;\n    }\n  '.replace(/\n/g, '').replace(/\s\s+/g, ' ');

  var _customStyle$style = _extends({}, customStyle, style);

  var margin = _customStyle$style.margin;

  var otherStyle = _objectWithoutProperties(_customStyle$style, ['margin']);

  var sx = {
    root: {
      marginBottom: scale[2],
      margin: margin
    },
    progress: _extends({
      display: 'block',
      width: '100%',
      height: 8,
      overflow: 'hidden',
      backgroundColor: 'rgba(0, 0, 0, .125)',
      border: 0,
      borderRadius: 9999,
      WebkitAppearance: 'none',
      appearance: 'none',
      color: colors.primary
    }, otherStyle)
  };

  return _react2.default.createElement(
    'div',
    { className: 'Progress', style: sx.root },
    _react2.default.createElement('style', { dangerouslySetInnerHTML: { __html: css } }),
    _react2.default.createElement('progress', _extends({}, props, {
      className: 'Progress-progress',
      value: value,
      children: value,
      style: sx.progress }))
  );
};

Progress.propTypes = {
  /** Value for progress bar */
  value: _react2.default.PropTypes.number
};

Progress.contextTypes = {
  rebass: _react2.default.PropTypes.object
};

exports.default = Progress;