'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Label = require('./Label');

var _Label2 = _interopRequireDefault(_Label);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

var _margins = require('./util/margins');

var _margins2 = _interopRequireDefault(_margins);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Select form control with label
 */

var Select = function Select(_ref, _ref2) {
  var label = _ref.label;
  var name = _ref.name;
  var options = _ref.options;
  var hideLabel = _ref.hideLabel;
  var children = _ref.children;
  var style = _ref.style;

  var props = _objectWithoutProperties(_ref, ['label', 'name', 'options', 'hideLabel', 'children', 'style']);

  var rebass = _ref2.rebass;

  var config = _extends({}, _theme2.default, rebass);
  var customStyle = rebass ? rebass.Select : {};
  var scale = config.scale;
  var borderColor = config.borderColor;


  var otherStyle = _extends({}, customStyle, style);

  var sx = {
    root: _extends({
      marginBottom: scale[2]
    }, (0, _margins2.default)(props, scale)),
    select: _extends({
      fontFamily: 'inherit',
      fontSize: 'inherit',
      boxSizing: 'border-box',
      display: 'block',
      width: '100%',
      height: 32,
      paddingLeft: 8,
      paddingRight: 8,
      margin: 0,
      color: 'inherit',
      backgroundColor: 'transparent',
      backgroundImage: 'none',
      borderRadius: 2,
      borderWidth: 1,
      borderStyle: 'solid',
      borderColor: borderColor
    }, otherStyle)
  };

  return _react2.default.createElement(
    'div',
    { className: 'Select',
      style: sx.root },
    _react2.default.createElement(_Label2.default, {
      htmlFor: name,
      hide: hideLabel,
      children: label }),
    _react2.default.createElement(
      'select',
      _extends({}, props, {
        name: name,
        style: sx.select }),
      options.map(function (option, i) {
        return _react2.default.createElement('option', _extends({ key: i }, option));
      })
    )
  );
};

Select.propTypes = {
  /** Label for form element */
  label: _react2.default.PropTypes.string.isRequired,
  /** Name attribute for form element */
  name: _react2.default.PropTypes.string.isRequired,
  /** Options for select */
  options: _react2.default.PropTypes.array.isRequired,
  /** Hides the form element label */
  hideLabel: _react2.default.PropTypes.bool
};

Select.defaultProps = {
  options: []
};

Select.contextTypes = {
  rebass: _react2.default.PropTypes.object
};

exports.default = Select;