'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Styled tooltip that shows on hover
 */

var Tooltip = function Tooltip(_ref, _ref2) {
  var title = _ref.title;
  var children = _ref.children;
  var style = _ref.style;

  var props = _objectWithoutProperties(_ref, ['title', 'children', 'style']);

  var rebass = _ref2.rebass;

  var config = _extends({}, _theme2.default, rebass);
  var scale = config.scale;

  var customStyle = _extends({
    fontSize: config.fontSizes[6],
    color: config.colors.white,
    backgroundColor: config.colors.black,
    borderRadius: config.borderRadius
  }, rebass ? rebass.Tooltip : {}, style);

  var fontSize = customStyle.fontSize;
  var color = customStyle.color;
  var backgroundColor = customStyle.backgroundColor;
  var borderRadius = customStyle.borderRadius;


  var css = ('\n    .Tooltip:hover::after {\n      content: attr(title);\n      white-space: nowrap;\n      font-size: ' + fontSize + 'px;\n      box-sizing: border-box;\n      display: block;\n      padding: ' + scale[1] / 2 + 'px ' + scale[1] + 'px;\n      position: absolute;\n      z-index: 4;\n      bottom: 100%;\n      left: 50%;\n      color: ' + color + ';\n      background-color: ' + backgroundColor + ';\n      border-radius: ' + borderRadius + 'px;\n      transform: translateX(-50%) translateY(-' + scale[1] + 'px);\n    }\n    .Tooltip:hover::before {\n      content: \'\';\n      position: absolute;\n      z-index: 4;\n      bottom: calc(100% - 4px);\n      left: 50%;\n      border: 6px solid transparent;\n      border-top-color: ' + backgroundColor + ';\n      transform: translateX(-50%);\n    }\n  ').replace(/\n/g, '').replace(/\s\s+/g, ' ');

  return _react2.default.createElement(
    'span',
    _extends({}, props, {
      className: 'Tooltip',
      title: title,
      style: {
        position: 'relative',
        display: 'inline-block',
        cursor: 'pointer'
      } }),
    _react2.default.createElement('style', { dangerouslySetInnerHTML: { __html: css } }),
    children
  );
};

Tooltip.propTypes = {
  /** Text to display in tooltip */
  title: _react2.default.PropTypes.string
};

Tooltip.contextTypes = {
  rebass: _react2.default.PropTypes.object
};

exports.default = Tooltip;