'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * Utility for extracting margin props from components
 */

var n = function n(x) {
  return typeof x === 'number';
};

function margins(props, scale) {
  var s = scale || [];

  var _ref = props || {};

  var m = _ref.m;
  var mx = _ref.mx;
  var my = _ref.my;
  var mt = _ref.mt;
  var mr = _ref.mr;
  var mb = _ref.mb;
  var ml = _ref.ml;

  var result = {};

  if (n(m)) {
    result.margin = s[m];
  }

  if (n(my)) {
    result.marginTop = s[my];
    result.marginBottom = s[my];
  } else {
    if (n(mt)) {
      result.marginTop = s[mt];
    }
    if (n(mb)) {
      result.marginBottom = s[mb];
    }
  }

  if (n(mx)) {
    result.marginLeft = s[mx];
    result.marginRight = s[mx];
  } else {
    if (n(ml)) {
      result.marginLeft = s[ml];
    }
    if (n(mr)) {
      result.marginRight = s[mr];
    }
  }

  return result;
}

exports.default = margins;